/**
  *  \file planetscentral/talk/url.h
  *  \brief Talk: URLs
  */
#ifndef C2SERVER_PLANETSCENTRAL_TALK_URL_H
#define C2SERVER_PLANETSCENTRAL_TALK_URL_H

#include "cpluslib/string.h"

#define GAME_BASE_URL    "host/game.cgi/"
#define USER_BASE_URL    "userinfo.cgi/"
#define FORUM_BASE_URL   "talk/forum.cgi/"
#define THREAD_BASE_URL  "talk/thread.cgi/"

string_t simplifyTopic(string_t s);

string_t makeGameUrl(int32_t gameId, string_t gameName);
string_t makeForumUrl(int32_t forumId, string_t forumName);
string_t makePostUrl(int32_t topicId, string_t subject, int32_t messageId);
string_t makeTopicUrl(int32_t topicId, string_t subject);

#endif
