/**
  *  \file planetscentral/host/cmdplayer.h
  *  \brief Host: PLAYER commands
  */
#ifndef C2SERVER_PLANETSCENTRAL_HOST_CMDPLAYER_H
#define C2SERVER_PLANETSCENTRAL_HOST_CMDPLAYER_H

class HostConnection;
class IntArgBlock;

void doPlayerAdd(HostConnection& conn, IntArgBlock& args);
void doPlayerSubst(HostConnection& conn, IntArgBlock& args);
void doPlayerResign(HostConnection& conn, IntArgBlock& args);

void doPlayerList(HostConnection& conn, IntArgBlock& args);
void doPlayerStat(HostConnection& conn, IntArgBlock& args);

void doPlayerSetDir(HostConnection& conn, IntArgBlock& args);
void doPlayerGetDir(HostConnection& conn, IntArgBlock& args);
void doPlayerCheckFile(HostConnection& conn, IntArgBlock& args);

void doTurnUpload(HostConnection& conn, IntArgBlock& args);
void doTurnMarkTemporary(HostConnection& conn, IntArgBlock& args);

#endif
